#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['stepwise', 'stepwise.cli']

package_data = \
{'': ['*'],
 'stepwise': ['.config/*',
              '.config/matplotlib/*',
              '.pytest_cache/*',
              '.pytest_cache/v/*',
              '.pytest_cache/v/cache/*',
              'builtins/*']}

install_requires = \
['appdirs',
 'arrow',
 'autoprop',
 'configurator',
 'docopt',
 'inform',
 'more_itertools',
 'nonstdlib',
 'setuptools',
 'sqlalchemy',
 'voluptuous']

extras_require = \
{'test': ['toml']}

entry_points = \
{'console_scripts': ['stepwise = stepwise.cli.main:main'],
 'stepwise.commands': ['config = stepwise.cli.config:main',
                       'edit = stepwise.cli.edit:main',
                       'go = stepwise.cli.go:main',
                       'ls = stepwise.cli.ls:main',
                       'stash = stepwise.cli.stash:main',
                       'which = stepwise.cli.which:main'],
 'stepwise.protocols': ['builtins = stepwise:Builtins']}

setup(name='stepwise',
      version='0.2.0',
      description='Wetlab protocols that follow the Unix philosophy.',
      author='Kale Kundert',
      author_email='kale@thekunderts.net',
      url='https://github.com/kalekundert/stepwise',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='~=3.8',
     )
